# 43. クエリ: 「Fields」を取得

フィルターでユーザーの「Fields」を取得するクエリ。 `ラベル`, `farmUuid`, `fieldUuid`, `フィールド名`。返されるフィールドはフィールド名のアルファベット順です。&#x20;

フィールドフィルターはAND条件のように動作します。例：でフィルターすることが可能です `farmUuid` およびで `fieldUuid` およびで `ラベル` およびで `フィールド名` 1つのクエリで、または1つのフィルター条件だけを使うか、条件を使わないこともできます。&#x20;

でフィルターする `フィールド名` はとして機能します `begins_with（先頭一致）`.&#x20;

ページネーションのロジックを実装するには、クエリパラメータを使用します `pageSize（ページサイズ）`。レスポンスには次のものがあります `lastEvaluatedKey（最後に評価されたキー）` と `totalCount（合計件数）` が含まれます。ここで `lastEvaluatedKey（最後に評価されたキー）` はフィルター条件に一致する最後に処理されたレコードを指し、 `totalCount（合計件数）` はフィルタリング条件に一致するレコードの総数です。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      名前
      labels {
        名前
        value
      }
      totalCount（合計件数）
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/43-kueri-fieldswo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
